Subject: Re: bug#15555: Re: bug#15555: 24.3; Bidirectional display very slow with long lines

From: Dmitry Antipov <[email-masked]>
Date: Tue, 18 Feb 2014 18:31:22 +0400

On 02/18/2014 06:04 PM, Stefan Monnier wrote:

> Eli's argument is not that bidi adds its own bottlenecks, but that there
> are sufficiently other bottlenecks that there's not much point trying to
> address bidi's bottlenecks until we start tackling the other ones.

Now I'm seeing the use case where each trivial cursor movement causes
~100 calls to bidi_shelve_cache, and each call copies ~1.5M of data.
If there is a redisplay problem which makes this unavoidable without
rewriting 1/2 of xdisp.c, then "broken by design" is the only thing
I can say about all of that mess.

Dmitry